Page MenuHomePhabricator

[RISCV] Implement adding a displacement to a BlockAddress
ClosedPublic

Authored by rogfer01 on Apr 2 2019, 9:03 AM.

Details

Summary

Recent change rL357393 uses MachineInstrBuilder::addDisp to add a based on a BlockAddress but this case was not implemented.

This patch adds the missing case and a test for RISC-V that exercises the new case.

Diff Detail

Repository
rL LLVM

Event Timeline

rogfer01 created this revision.Apr 2 2019, 9:03 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 2 2019, 9:03 AM

Thanks, I didn't realise this was the case.

test/CodeGen/RISCV/codemodel-lowering.ll
126 ↗(On Diff #193308)

Is this phi node necessary for the test?

rogfer01 updated this revision to Diff 193512.Apr 3 2019, 8:25 AM

ChangeLog

  • Remove dead phi in the test
rogfer01 marked an inline comment as done.Apr 3 2019, 8:25 AM
asb accepted this revision.Apr 4 2019, 6:15 AM

Thanks Roger, this looks good to me.

This revision is now accepted and ready to land.Apr 4 2019, 6:15 AM

Lewis, Alex: thanks for the review.

I will commit it shortly.

This revision was automatically updated to reflect the committed changes.